Summary:	Heroes 3: WoG recreated
Name:		vcmi
Version:	0.98
Release:	7
License:	GPL v2+
Group:		X11/Applications/Games
Source0:	https://github.com/vcmi/vcmi/archive/%{version}/%{name}-%{version}.tar.gz
# Source0-md5:	6a69e52a3380358220eba67332b097c6
Source1:	http://download.vcmi.eu/core.zip
# Source1-md5:	5cf75d588cc53b93aceb809a6068ae37
Patch0:		boost-1.58.patch
Patch1:		ffmpeg3.patch
Patch2:		cxx.patch
URL:		http://www.vcmi.eu/
BuildRequires:	Qt5Network-devel
BuildRequires:	qt5-build
BuildRequires:	Qt5Widgets-devel
BuildRequires:	SDL2-devel
BuildRequires:	SDL2_image-devel
BuildRequires:	SDL2_mixer-devel
BuildRequires:	SDL2_ttf-devel
BuildRequires:	boost-devel
BuildRequires:	cmake >= 2.8.5
BuildRequires:	ffmpeg-devel
BuildRequires:	zlib-devel
BuildRequires:	libstdc++-devel
Suggests:	smpeg-libs
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		specflags	-fpermissive

# symbols defined in binaries and main library
%define	skip_post_check_so	vcmi/Scripting/libvcmiERM.so.0.0.0

%description
H3 engine rewrie (not another mod) with new possibilities.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1

%build
install -d build
cd build
%cmake \
	..
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_datadir}/%{name} \
	$RPM_BUILD_ROOT%{_pixmapsdir} \
	$RPM_BUILD_ROOT%{_iconsdir}/hicolor/{64x64,48x48,32x32}/apps

%{__make} -C build install \
	DESTDIR=$RPM_BUILD_ROOT

install client/icons/vcmiclient.xpm $RPM_BUILD_ROOT%{_pixmapsdir}/vcmiclient.xpm
install client/icons/vcmiclient.64x64.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/64x64/apps/vcmiclient.png
install client/icons/vcmiclient.48x48.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/48x48/apps/vcmiclient.png
install client/icons/vcmiclient.32x32.png $RPM_BUILD_ROOT%{_iconsdir}/hicolor/32x32/apps/vcmiclient.png

echo A | %{__unzip} %{SOURCE1} -d $RPM_BUILD_ROOT%{_datadir}/%{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README.md
%attr(755,root,root) %{_bindir}/%{name}*
%attr(755,root,root) %{_libdir}/%{name}/lib%{name}*.so
%dir %{_libdir}/%{name}
%dir %{_libdir}/%{name}/AI
%attr(755,root,root) %{_libdir}/%{name}/AI/lib*.so
%{_datadir}/%{name}
%{_desktopdir}/%{name}client.desktop
%{_desktopdir}/vcmilauncher.desktop
%{_pixmapsdir}/%{name}client.xpm
%{_iconsdir}/hicolor/*x*/apps/%{name}client.png
%changelog
* Sat Apr 28 2018 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/vcmi.git;a=log;h=master

* Sat Apr 28 2018 Jan Rękorajski <baggins@pld-linux.org> 8f1e0c2
- rebuild with ffmpeg 4
- release 7 (by relup.sh)

* Mon Apr 10 2017 Jan Rękorajski <baggins@pld-linux.org> 593a806
- rebuild with boost 1.63.0
- release 6 (by relup.sh)

* Sun Apr 09 2017 Jan Rękorajski <baggins@pld-linux.org> f910178
- rebuild with boost 1.63.0
- release 5 (by relup.sh)

* Sat May 28 2016 Jan Rękorajski <baggins@pld-linux.org> e2eeb10
- rebuild with boost 1.61
- fix building with modern libstdc++
- rel 4

* Tue Mar 29 2016 Jan Rękorajski <baggins@pld-linux.org> 9219c4a
- fix building with ffmpeg 3
- rel 3

* Sat Nov 14 2015 Jan Rękorajski <baggins@pld-linux.org> 6293285
- release 2 (by relup.sh)

* Wed Jun 24 2015 Jan Rękorajski <baggins@pld-linux.org> 0b8124b
- updated to 0.98
- fixed building qith boost 1.58

* Mon Feb 16 2015 Jan Rękorajski <baggins@pld-linux.org> 6ee62a0
- release 2 (by relup.sh)

* Thu Nov 06 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b8764d
- up to 0.97

* Mon Oct 27 2014 Jan Rękorajski <baggins@pld-linux.org> 9a42769
- release 9 (by relup.sh)

* Sat Oct 25 2014 Jan Rękorajski <baggins@pld-linux.org> 0000f97
- rebuild with boost 1.56.0
- release 8 (by relup.sh)

* Wed Oct 08 2014 Arkadiusz Miśkiewicz <arekm@maven.pl> 6d9dfb2
- release 7 (by relup.sh)

* Sun Feb 02 2014 Jan Rękorajski <baggins@pld-linux.org> 0353a03
- - rebuild with boost 1.55.0
- release 6 (by relup.sh)

* Sat Nov 30 2013 Jan Rękorajski <baggins@pld-linux.org> 93ac297
- Rebuild with libts 1.1
- release 5 (by relup.sh)

* Sun Aug 25 2013 Jan Rękorajski <baggins@pld-linux.org> a3e10a9
- release 4 (by relup.sh)

* Mon Jul 08 2013 Jan Rękorajski <baggins@pld-linux.org> 0d8d261
- release 3 (by relup.sh)

* Tue May 28 2013 Tomasz Pala <gotar@pld-linux.org> 72c88fa
- BR cmake with GNUInstallDirs

* Sun Feb 03 2013 Arkadiusz Miśkiewicz <arekm@maven.pl> a92e6b5
- release 2 (by relup.sh)

* Tue Nov 13 2012 Jan Rękorajski <baggins@pld-linux.org> aa1de50
- updated to 0.90

* Wed Sep 19 2012 Arkadiusz Miśkiewicz <arekm@maven.pl> 3a427fe
- release 4 (by relup.sh)

